<script setup lang="ts">
import { useMemberStore } from "@/stores/member";
import type { Member } from "@/types/Member";
import { ref } from "vue";
const memberStore = useMemberStore();
const tel = ref("");
function onClick() {
  tel.value = memberStore.tel;
  memberStore.getMemberByTel(tel.value);
}
const emit = defineEmits<{
  selected: [Member];
}>();
</script>
<template>
  <v-container>
    <v-row>
      <v-col>
        <v-text-field
          v-model="memberStore.tel"
          density="compact"
          variant="solo"
          label="Search Member"
          append-inner-icon="mdi-magnify"
          single-line
          hide-details
          @click:append-inner="onClick"
          @keyup.enter="onClick"
        ></v-text-field>
      </v-col>
      <v-col class="pa-6, text">{{
        memberStore.currentMember?.name ? memberStore.currentMember?.name : "Not found"
      }}</v-col>
    </v-row>
  </v-container>
</template>
<style scoped>
.text {
  padding-top: 1.7%;
  color: ghostwhite;
  font-size: x-large; /* เปลี่ยนขนาดตัวอักษรเป็นขนาดปกติ */
  font-weight: bold; /* ทำให้ตัวอักษรหนาขึ้น */
}
</style>
